Package org.apache.storm.container.cgroup.core

# Class MemoryCore.Stat

java.lang.Object
org.apache.storm.container.cgroup.core.MemoryCore.Stat

Enclosing class:
  MemoryCore

public static class MemoryCore.Stat extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final long`
  `activeAnonSize`
  `final long`
  `activeFileSize`
  `final long`
  `cacheSize`
  `final long`
  `hierarchicalMemoryLimitSize`
  `final long`
  `hierarchicalMemSwapLimitSize`
  `final long`
  `inactiveAnonSize`
  `final long`
  `inactiveFileSize`
  `final long`
  `mappedFileSize`
  `final long`
  `pgpginNum`
  `final long`
  `pgpgoutNum`
  `final long`
  `rssSize`
  `final long`
  `swapSize`
  `final long`
  `totalActiveAnonSize`
  `final long`
  `totalActiveFileSize`
  `final long`
  `totalCacheSize`
  `final long`
  `totalHierarchicalMemoryLimitSize`
  `final long`
  `totalHierarchicalMemSwapLimitSize`
  `final long`
  `totalInactiveAnonSize`
  `final long`
  `totalInactiveFileSize`
  `final long`
  `totalMappedFileSize`
  `final long`
  `totalPgpginNum`
  `final long`
  `totalPgpgoutNum`
  `final long`
  `totalRssSize`
  `final long`
  `totalSwapSize`
  `final long`
  `totalUnevictableSize`
  `final long`
  `unevictableSize`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Stat(String output)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### cacheSize

    public final long cacheSize

  - ### rssSize

    public final long rssSize

  - ### mappedFileSize

    public final long mappedFileSize

  - ### pgpginNum

    public final long pgpginNum

  - ### pgpgoutNum

    public final long pgpgoutNum

  - ### swapSize

    public final long swapSize

  - ### activeAnonSize

    public final long activeAnonSize

  - ### inactiveAnonSize

    public final long inactiveAnonSize

  - ### activeFileSize

    public final long activeFileSize

  - ### inactiveFileSize

    public final long inactiveFileSize

  - ### unevictableSize

    public final long unevictableSize

  - ### hierarchicalMemoryLimitSize

    public final long hierarchicalMemoryLimitSize

  - ### hierarchicalMemSwapLimitSize

    public final long hierarchicalMemSwapLimitSize

  - ### totalCacheSize

    public final long totalCacheSize

  - ### totalRssSize

    public final long totalRssSize

  - ### totalMappedFileSize

    public final long totalMappedFileSize

  - ### totalPgpginNum

    public final long totalPgpginNum

  - ### totalPgpgoutNum

    public final long totalPgpgoutNum

  - ### totalSwapSize

    public final long totalSwapSize

  - ### totalActiveAnonSize

    public final long totalActiveAnonSize

  - ### totalInactiveAnonSize

    public final long totalInactiveAnonSize

  - ### totalActiveFileSize

    public final long totalActiveFileSize

  - ### totalInactiveFileSize

    public final long totalInactiveFileSize

  - ### totalUnevictableSize

    public final long totalUnevictableSize

  - ### totalHierarchicalMemoryLimitSize

    public final long totalHierarchicalMemoryLimitSize

  - ### totalHierarchicalMemSwapLimitSize

    public final long totalHierarchicalMemSwapLimitSize

- ## Constructor Details

  - ### Stat

    public Stat(String output)